Package org.eclipse.mat.query.annotations

## Annotation Type Menu.Entry

    public static @interface Menu.Entry

Annotates a `Menu` item for a particular sub-query.

### Optional Element Summary

Optional Elements
`java.lang.String` `category` The category for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator.
`java.lang.String` `help` The help for the menu item.
`java.lang.String` `helpUrl` The help URL for the menu item.
`java.lang.String` `icon` The icon path for the menu item.
`java.lang.String` `label` The label for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator.
`java.lang.String` `options` The specific options for the query for this menu item.

### Element Detail

#### category

    java.lang.String category

The category for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator. Overrides the `Category` for the query class.

Returns:
  the menu category

Default:
  ""

#### icon

    java.lang.String icon

The icon path for the menu item. Overrides the `Icon` for the query class.

Returns:
  the icon path

Default:
  ""

#### label

    java.lang.String label

The label for the menu item, optionally preceded by a number indicating the menu order with a vertical bar separator. The equivalent of the `Name` for an ordinary query.

Returns:
  the label

Default:
  ""

#### help

    java.lang.String help

The help for the menu item. Overrides the help for the query class.

Returns:
  the help

Default:
  ""

#### helpUrl

    java.lang.String helpUrl

The help URL for the menu item. Overrides the help URL for the query class.

Returns:
  the help URL

Default:
  ""

#### options

    java.lang.String options

The specific options for the query for this menu item. Overrides default argument options for the query class.

Returns:
  the specific options

Default:
  ""